commit:     e48fb8ff80481917818107c3ec994539d309a931
Author:     Wolfgang E. Sanyer <ezzieyguywuf <AT> gmail <DOT> com>
AuthorDate: Sat Sep  3 03:24:01 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Oct  4 13:26:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e48fb8ff

app-editors/vim: bump to 9.0.0399

Bug: https://bugs.gentoo.org/861092
Signed-off-by: Wolfgang E. Sanyer <ezzieyguywuf <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-editors/vim/Manifest            |   1 +
 app-editors/vim/vim-9.0.0399.ebuild | 357 ++++++++++++++++++++++++++++++++++++
 2 files changed, 358 insertions(+)

diff --git a/app-editors/vim/Manifest b/app-editors/vim/Manifest
index e43ef7f4377f..2b3a03ba990e 100644
--- a/app-editors/vim/Manifest
+++ b/app-editors/vim/Manifest
@@ -1,2 +1,3 @@
 DIST vim-9.0.0099.tar.gz 16712565 BLAKE2B 
b3277ebda0bb40601d995935422006d1a266bb862be612e69abd057a7342d13457ded5cb4743cf43a09b7d2001438f5a426ba12c30947bb7c193188c5fc13cf7
 SHA512 
ca0dea7b7fd78cf9c7cd4656611d066540f9d81ab17bcb75c79f0e989bdcfb769940ea29f75445c554b159e9eb3b2c4f9d77448254c3e4e4457b1bf721936498
+DIST vim-9.0.0399.tar.gz 16833387 BLAKE2B 
f9d6588920b49ef32b82d012e1c4f8a34dc505267b67027a3b4302dd99d7987645c29a91fdb234fffa873b342488b4d9c85d05d3fe7a332042781881a61bea5e
 SHA512 
6b261bf3aaa355e7a42de1785b134bccc51086495578730b9bc3b8e048679caa3a901e576a360cba5f1aa4d164c7f162a3f916e945b3f5f71e893ea30e0ca826
 DIST vim-patches-vim-9.0.0049-patches.tar.gz 2743 BLAKE2B 
dff3e215b235e1cbc2c62b1af2d1414d10b794dbee9f5e7797fb3d34e00c2e065c339d4c82bf28aed53e0b5f2f8f1ee5c7ce69851cd63360788609bf144ac922
 SHA512 
7d5c64d674fa77048fdca7287072c0e488723133e254c10711dbadf750416c368725327ca9b76f332017bc70aa544a9baef671765eabf0d172d39921ffd7d942

diff --git a/app-editors/vim/vim-9.0.0399.ebuild 
b/app-editors/vim/vim-9.0.0399.ebuild
new file mode 100644
index 000000000000..4694afaa8f52
--- /dev/null
+++ b/app-editors/vim/vim-9.0.0399.ebuild
@@ -0,0 +1,357 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Please bump with app-editors/vim-core and app-editors/gvim
+
+VIM_VERSION="9.0"
+LUA_COMPAT=( lua5-{1..4} luajit )
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="threads(+)"
+USE_RUBY="ruby27 ruby30 ruby31"
+
+inherit bash-completion-r1 desktop flag-o-matic lua-single python-single-r1 
ruby-single toolchain-funcs vim-doc xdg-utils
+
+if [[ ${PV} == 9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/vim/vim.git";
+else
+       SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> ${P}.tar.gz
+               
https://gitweb.gentoo.org/proj/vim-patches.git/snapshot/vim-patches-vim-9.0.0049-patches.tar.gz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="Vim, an improved vi-style text editor"
+HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim";
+
+LICENSE="vim"
+SLOT="0"
+IUSE="X acl crypt cscope debug gpm lua minimal nls perl python racket ruby 
selinux sound tcl terminal vim-pager"
+REQUIRED_USE="
+       lua? ( ${LUA_REQUIRED_USE} )
+       python? ( ${PYTHON_REQUIRED_USE} )
+       vim-pager? ( !minimal )
+"
+
+RDEPEND="
+       >=app-eselect/eselect-vi-1.1
+       >=sys-libs/ncurses-5.2-r2:0=
+       nls? ( virtual/libintl )
+       acl? ( kernel_linux? ( sys-apps/acl ) )
+       crypt? ( dev-libs/libsodium:= )
+       cscope? ( dev-util/cscope )
+       gpm? ( >=sys-libs/gpm-1.19.3 )
+       lua? ( ${LUA_DEPS}
+               $(lua_gen_impl_dep 'deprecated' lua5-1)
+       )
+       ~app-editors/vim-core-${PV}
+       vim-pager? ( app-editors/vim-core[-minimal] )
+       perl? ( dev-lang/perl:= )
+       python? ( ${PYTHON_DEPS} )
+       racket? ( dev-scheme/racket )
+       ruby? ( ${RUBY_DEPS} )
+       selinux? ( sys-libs/libselinux )
+       sound? ( media-libs/libcanberra )
+       tcl? ( dev-lang/tcl:0= )
+       X? ( x11-libs/libXt )
+"
+DEPEND="${RDEPEND}"
+# configure runs the Lua interpreter
+BDEPEND="
+       sys-devel/autoconf
+       lua? ( ${LUA_DEPS} )
+       nls? ( sys-devel/gettext )
+"
+PDEPEND="!minimal? ( app-vim/gentoo-syntax )"
+
+pkg_setup() {
+       # people with broken alphabets run into trouble. bug #82186.
+       unset LANG LC_ALL
+       export LC_COLLATE="C"
+
+       use lua && lua-single_pkg_setup
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+
+       if [[ ${PV} != 9999* ]] ; then
+               # Gentoo patches to fix runtime issues, cross-compile errors, 
etc
+               eapply "${WORKDIR}"/vim-patches-vim-9.0.0049-patches
+       fi
+
+       # Fixup a script to use awk instead of nawk
+       sed -i -e \
+               '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
+               "${S}"/runtime/tools/mve.awk || die "mve.awk sed failed"
+
+       # Read vimrc and gvimrc from /etc/vim
+       echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' \
+               >> "${S}"/src/feature.h || die "echo failed"
+       echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' \
+               >> "${S}"/src/feature.h || die "echo failed"
+
+       # Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
+       # Hopefully this pattern won't break for a while at least.
+       # This fixes bug #29398 (27 Sep 2003 agriffis)
+       sed -i -e \
+               's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
+               "${S}"/runtime/doc/syntax.txt \
+               "${S}"/runtime/doc/tagsrch.txt \
+               "${S}"/runtime/doc/usr_29.txt \
+               "${S}"/runtime/menu.vim \
+               "${S}"/src/configure.ac || die 'sed failed'
+
+       # Don't be fooled by /usr/include/libc.h.  When found, vim thinks
+       # this is NeXT, but it's actually just a file in dev-libs/9libs
+       # This fixes bug #43885 (20 Mar 2004 agriffis)
+       sed -i -e \
+               's/ libc\.h / /' \
+               "${S}"/src/configure.ac || die 'sed failed'
+
+       # gcc on sparc32 has this, uhm, interesting problem with detecting EOF
+       # correctly. To avoid some really entertaining error messages about 
stuff
+       # which isn't even in the source file being invalid, we'll do some 
trickery
+       # to make the error never occur. bug 66162 (02 October 2004 ciaranm)
+       find "${S}" -name '*.c' | while read c; do
+               echo >> "$c" || die "echo failed"
+       done
+
+       # conditionally make the manpager.sh script
+       if use vim-pager; then
+               cat > "${S}"/runtime/macros/manpager.sh <<-_EOF_ || die "cat 
EOF failed"
+                       #!/bin/sh
+                       sed -e 's/\x1B\[[[:digit:]]\+m//g' | col -b | \\
+                                       vim \\
+                                               -c 'let no_plugin_maps = 1' \\
+                                               -c 'set nolist nomod ft=man 
ts=8' \\
+                                               -c 'let g:showmarks_enable=0' \\
+                                               -c 'runtime! macros/less.vim' -
+                       _EOF_
+       fi
+
+       # Try to avoid sandbox problems. Bug #114475.
+       if [[ -d "${S}"/src/po ]]; then
+               sed -i -e \
+                       '/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; 
./testvim -X,' \
+                       "${S}"/src/po/Makefile || die "sed failed"
+       fi
+
+       cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp 
failed"
+
+       sed -i -e \
+               "s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
+               "${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
+
+       # Fix bug 18245: Prevent "make" from the following chain:
+       # (1) Notice configure.ac is newer than auto/configure
+       # (2) Rebuild auto/configure
+       # (3) Notice auto/configure is newer than auto/config.mk
+       # (4) Run ./configure (with wrong args) to remake auto/config.mk
+       sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed 
failed"
+       rm src/auto/configure || die "rm failed"
+
+       eapply_user
+}
+
+src_configure() {
+
+       # Fix bug #37354: Disallow -funroll-all-loops on amd64
+       # Bug #57859 suggests that we want to do this for all archs
+       filter-flags -funroll-all-loops
+
+       # Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
+       # everyone since previous flag filtering bugs have turned out to affect
+       # multiple archs...
+       replace-flags -O3 -O2
+
+       emake -j1 -C src autoconf
+
+       # This should fix a sandbox violation (see bug #24447). The hvc
+       # things are for ppc64, see bug #86433.
+       for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
+               if [[ -e "${file}" ]]; then
+                       addwrite ${file}
+               fi
+       done
+
+       local myconf=()
+       if use minimal; then
+               myconf=(
+                       --with-features=tiny
+                       --disable-nls
+                       --disable-canberra
+                       --disable-acl
+                       --enable-gui=no
+                       --without-x
+                       --disable-darwin
+                       --disable-luainterp
+                       --disable-perlinterp
+                       --disable-pythoninterp
+                       --disable-mzschemeinterp
+                       --disable-rubyinterp
+                       --disable-selinux
+                       --disable-tclinterp
+                       --disable-gpm
+               )
+       else
+               use debug && append-flags "-DDEBUG"
+
+               myconf=(
+                       --with-features=huge
+                       $(use_enable sound canberra)
+                       $(use_enable acl)
+                       $(use_enable crypt libsodium)
+                       $(use_enable cscope)
+                       $(use_enable gpm)
+                       $(use_enable nls)
+                       $(use_enable perl perlinterp)
+                       $(use_enable python python3interp)
+                       $(use_with python python3-command "${PYTHON}")
+                       $(use_enable racket mzschemeinterp)
+                       $(use_enable ruby rubyinterp)
+                       $(use_enable selinux)
+                       $(use_enable tcl tclinterp)
+                       $(use_enable terminal)
+               )
+
+               # --with-features=huge forces on cscope even if we --disable 
it. We need
+               # to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
+               if ! use cscope; then
+                       sed -i -e \
+                               '/# define FEAT_CSCOPE/d' src/feature.h || die 
"sed failed"
+               fi
+
+               if use lua; then
+                       myconf+=(
+                               --enable-luainterp
+                               $(use_with lua_single_target_luajit luajit)
+                               --with-lua-prefix="${EPREFIX}/usr"
+                       )
+               fi
+
+               # don't test USE=X here ... see bug #19115
+               # but need to provide a way to link against X ... see bug #20093
+               myconf+=(
+                       --enable-gui=no
+                       --disable-darwin
+                       $(use_with X x)
+               )
+       fi
+
+       # let package manager strip binaries
+       export ac_cv_prog_STRIP="$(type -P true ) faking strip"
+
+       # keep prefix env contained within the EPREFIX
+       use prefix && myconf+=( --without-local-dir )
+
+       if tc-is-cross-compiler ; then
+               export vim_cv_getcwd_broken=no \
+                          vim_cv_memmove_handles_overlap=yes \
+                          vim_cv_stat_ignores_slash=yes \
+                          vim_cv_terminfo=yes \
+                          vim_cv_toupper_broken=no
+       fi
+
+       econf \
+               --with-modified-by=Gentoo-${PVR} \
+               "${myconf[@]}"
+}
+
+src_compile() {
+       # The following allows emake to be used
+       emake -j1 -C src auto/osdef.h objects
+
+       emake
+}
+
+src_test() {
+       einfo
+       einfo "Starting vim tests. Several error messages will be shown"
+       einfo "while the tests run. This is normal behaviour and does not"
+       einfo "indicate a fault."
+       einfo
+       ewarn "If the tests fail, your terminal may be left in a strange"
+       ewarn "state. Usually, running 'reset' will fix this."
+       einfo
+
+       # Don't let vim talk to X
+       unset DISPLAY
+
+       # Arch and opensuse seem to do this and at this point, I'm willing
+       # to try anything to avoid random test hangs!
+       export TERM=xterm
+
+       # See 
https://github.com/vim/vim/blob/f08b0eb8691ff09f98bc4beef986ece1c521655f/src/testdir/runtest.vim#L5
+       # for more information on test variables we can use.
+       # Note that certain variables need vim-compatible regex (not PCRE), see 
e.g.
+       # 
http://www.softpanorama.org/Editors/Vimorama/vim_regular_expressions.shtml.
+       #
+       # Skipped tests:
+       # - Test_exrc
+       #   - Looks in wrong location? (bug #742710)
+       # - Test_fuzzy_completion_env
+       #   - Too sensitive to leaked environment variables.
+       #   - "Expected 'echo $VIMRUNTIME' but got 'echo $ENV_UNSET'"
+       export TEST_SKIP_PAT='\(Test_exrc\|Test_fuzzy_completion_env\)'
+
+       emake -j1 -C src/testdir nongui
+}
+
+# Call eselect vi update with --if-unset
+# to respect user's choice (bug #187449)
+eselect_vi_update() {
+       ebegin "Calling eselect vi update"
+       eselect vi update --if-unset
+       eend $?
+}
+
+src_install() {
+       local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
+
+       # Note: Do not install symlinks for 'vi', 'ex', or 'view', as these are
+       #       managed by eselect-vi
+       dobin src/vim
+       if ! use minimal ; then
+               dosym vim /usr/bin/vimdiff
+       fi
+       dosym vim /usr/bin/rvim
+       dosym vim /usr/bin/rview
+       if use vim-pager ; then
+               dosym ${vimfiles}/macros/less.sh /usr/bin/vimpager
+               dosym ${vimfiles}/macros/manpager.sh /usr/bin/vimmanpager
+               insinto ${vimfiles}/macros
+               doins runtime/macros/manpager.sh
+               fperms a+x ${vimfiles}/macros/manpager.sh
+       fi
+
+       domenu runtime/vim.desktop
+
+       newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
+
+       # keep in sync with 'complete ... -F' list
+       bashcomp_alias vim ex vi view rvim rview vimdiff
+}
+
+pkg_postinst() {
+       # Update documentation tags (from vim-doc.eclass)
+       update_vim_helptags
+
+       # Call eselect vi update
+       eselect_vi_update
+
+       # update desktop file mime cache
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       # Update documentation tags (from vim-doc.eclass)
+       update_vim_helptags
+
+       # Call eselect vi update
+       eselect_vi_update
+
+       # update desktop file mime cache
+       xdg_desktop_database_update
+}

Reply via email to